import processing.pdf.*;

boolean recording = false;

void setup()
{
  size( 800, 400 );
}

void draw()
{
  if( recording ) {
    beginRecord( PDF, "output.pdf" );
  }
  
  noFill();
  stroke( 255 );
  background( 50 );
  
  for( int idx = 0; idx < width; idx += 10 ) {
    float factor = map( mouseX, 0, width, 1, 200 );
    float diam = map( sin( idx / factor ), -1, 1, 10, 300 );
    ellipse( idx, 200, diam, diam );
  }
  
  if( recording ) {
    endRecord();
    recording = false;
  }
}

void keyPressed()
{
  if( key == 's' ) {
    recording = true;
  }
}